diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
index 2e41ed62..eabd79ba 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
@@ -201,17 +201,15 @@ define('pgadmin.node.cast', [
                 cache: false,
                 async: false,
                 data: {'srctyp' : srcTyp, 'trgtyp' : trgtyp},
-
-                 // On success return function list from server
-                success: function(result) {
-                  res = result.data;
-                  return res;
-                },
-
-                 // On failure show error appropriate error message to user
-                error: function(xhr, status, error) {
-                  alertify.pgRespErrorNotify(xhr, error);
-                },
+              })
+               // On success return function list from server
+              .done(function(result) {
+                res = result.data;
+                return res;
+              })
+               // On failure show error appropriate error message to user
+              .fail(function(xhr, status, error) {
+                alertify.pgRespErrorNotify(xhr, error);
               });
             }
             return res;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
index 24f5e1a7..4da0a2d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
@@ -350,17 +350,17 @@ define('pgadmin.node.foreign_table', [
           async: false,
           url: full_url,
           data: data,
-          success: function(res) {
-            /*
-             * We will cache this data for short period of time for avoiding
-             * same calls.
-             */
-            data = cache_node.cache(url, node_info, cache_level, res.data);
-
-          },
-          error: function() {
-            m.trigger('pgadmin:view:fetch:error', m, self.field);
-          },
+        })
+        .done(function(res) {
+          /*
+           * We will cache this data for short period of time for avoiding
+           * same calls.
+           */
+          data = cache_node.cache(url, node_info, cache_level, res.data);
+
+        })
+        .fail(function() {
+          m.trigger('pgadmin:view:fetch:error', m, self.field);
         });
         m.trigger('pgadmin:view:fetched', m, self.field);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index cba62789..935cc84c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -111,20 +111,20 @@ define('pgadmin.node.fts_configuration', [
                     $.ajax({
                       async: false,
                       url: full_url,
-                      success: function(res) {
-                      /*
-                       * We will cache this data for short period of time for
-                       * avoiding same calls.
-                       */
-                        data = cache_node.cache(url,
-                                 node_info,
-                                 cache_level,
-                                 res.data
-                               );
-                      },
-                      error: function() {
-                        m.trigger('pgadmin:view:fetch:error', m, self.field);
-                      },
+                    })
+                    .done(function(res) {
+                    /*
+                     * We will cache this data for short period of time for
+                     * avoiding same calls.
+                     */
+                      data = cache_node.cache(url,
+                               node_info,
+                               cache_level,
+                               res.data
+                             );
+                    })
+                    .fail(function() {
+                      m.trigger('pgadmin:view:fetch:error', m, self.field);
                     });
                     m.trigger('pgadmin:view:fetched', m, self.field);
                   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
index 3b9b0f35..43f9cfda 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
@@ -31,12 +31,12 @@ define('pgadmin.node.schema', [
           $.ajax({
             async: false,
             url: full_url,
-            success: function (res) {
-              data = res;
-            },
-            error: function() {
-              m.trigger('pgadmin-view:fetch:error', m, self.field);
-            },
+          })
+          .done(function (res) {
+            data = res;
+          })
+          .fail(function() {
+            m.trigger('pgadmin-view:fetch:error', m, self.field);
           });
           m.trigger('pgadmin-view:fetched', m, self.field);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
index 25fa40f7..a146dabc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
@@ -154,17 +154,15 @@ define('pgadmin.node.synonym', [
               cache: false,
               async: false,
               data: {'trgTyp' : trgTyp, 'trgSchema' : trgSchema},
-
-                  // On success return function list from server
-              success: function(result) {
-                res = result.data;
-                return res;
-              },
-
-                  // On failure show error appropriate error message to user
-              error: function(xhr, status, error) {
-                alertify.pgRespErrorNotify(xhr, error);
-              },
+            })
+            // On success return function list from server
+            .done(function(result) {
+              res = result.data;
+              return res;
+            })
+            // On failure show error appropriate error message to user
+            .fail(function(xhr, status, error) {
+              alertify.pgRespErrorNotify(xhr, error);
             });
             return res;
           },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
index d8dc2ae7..05722546 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/static/js/check_constraint.js
@@ -61,21 +61,21 @@ define('pgadmin.node.check_constraint', [
           $.ajax({
             url: obj.generate_url(i, 'validate', d, true),
             type:'GET',
-            success: function(res) {
-              if (res.success == 1) {
-                alertify.success(res.info);
-                t.removeIcon(i);
-                data.valid = true;
-                data.icon = 'icon-check_constraint';
-                t.addIcon(i, {icon: data.icon});
-                setTimeout(function() {t.deselect(i);}, 10);
-                setTimeout(function() {t.select(i);}, 100);
-              }
-            },
-            error: function(xhr, status, error) {
-              alertify.pgRespErrorNotify(xhr, error);
-              t.unload(i);
-            },
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              alertify.success(res.info);
+              t.removeIcon(i);
+              data.valid = true;
+              data.icon = 'icon-check_constraint';
+              t.addIcon(i, {icon: data.icon});
+              setTimeout(function() {t.deselect(i);}, 10);
+              setTimeout(function() {t.select(i);}, 100);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
 
           return false;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index adccf2e9..8b097034 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -82,13 +82,13 @@ define('pgadmin.node.exclusion_constraint', [
                 async: false,
                 data : {indextype:indextype},
                 url: full_url,
-                success: function(res) {
-                  data = res.data;
-                  self.column.set('options', data);
-                },
-                error: function() {
-                  eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
-                },
+              })
+              .done(function(res) {
+                data = res.data;
+                self.column.set('options', data);
+              })
+              .fail(function() {
+                eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
               });
               eventHandler.trigger('pgadmin:view:fetched', m, self.column);
             }
@@ -183,13 +183,13 @@ define('pgadmin.node.exclusion_constraint', [
                 async: false,
                 data : {col_type:col_type},
                 url: full_url,
-                success: function(res) {
-                  data = res.data;
-                  self.column.set('options', data);
-                },
-                error: function() {
-                  eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
-                },
+              })
+              .done(function(res) {
+                data = res.data;
+                self.column.set('options', data);
+              })
+              .fail(function() {
+                eventHandler.trigger('pgadmin:view:fetch:error', m, self.column);
               });
               eventHandler.trigger('pgadmin:view:fetched', m, self.column);
             }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index 9899df92..9d11ec7f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -214,12 +214,12 @@ define('pgadmin.node.foreign_key', [
                       async: false,
                       data : {tid:tid},
                       url: full_url,
-                      success: function(res) {
-                        data = res.data;
-                      },
-                      error: function() {
-                        m.trigger('pgadmin:view:fetch:error', m, self.field);
-                      },
+                    })
+                    .done(function(res) {
+                      data = res.data;
+                    })
+                    .fail(function() {
+                      m.trigger('pgadmin:view:fetch:error', m, self.field);
                     });
                     m.trigger('pgadmin:view:fetched', m, self.field);
                   }
@@ -558,12 +558,12 @@ define('pgadmin.node.foreign_key', [
               async: false,
               data : {cols:JSON.stringify(cols)},
               url: full_url,
-              success: function(res) {
-                coveringindex = res.data;
-              },
-              error: function() {
-                m.trigger('pgadmin:view:fetch:error', m, self.field);
-              },
+            })
+            .done(function(res) {
+              coveringindex = res.data;
+            })
+            .fail(function() {
+              m.trigger('pgadmin:view:fetch:error', m, self.field);
             });
             m.trigger('pgadmin:view:fetched', m, self.field);
           }
@@ -653,21 +653,21 @@ define('pgadmin.node.foreign_key', [
           $.ajax({
             url: obj.generate_url(i, 'validate', d, true),
             type:'GET',
-            success: function(res) {
-              if (res.success == 1) {
-                Alertify.success(res.info);
-                t.removeIcon(i);
-                data.valid = true;
-                data.icon = 'icon-foreign_key';
-                t.addIcon(i, {icon: data.icon});
-                setTimeout(function() {t.deselect(i);}, 10);
-                setTimeout(function() {t.select(i);}, 100);
-              }
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
-              t.unload(i);
-            },
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              Alertify.success(res.info);
+              t.removeIcon(i);
+              data.valid = true;
+              data.icon = 'icon-foreign_key';
+              t.addIcon(i, {icon: data.icon});
+              setTimeout(function() {t.deselect(i);}, 10);
+              setTimeout(function() {t.select(i);}, 100);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
 
           return false;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index 74649721..ecb28e16 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -134,21 +134,21 @@ function(
             type:'PUT',
             data: params,
             dataType: 'json',
-            success: function(res) {
-              if (res.success == 1) {
-                Alertify.success(res.info);
-                t.unload(i);
-                t.setInode(i);
-                t.deselect(i);
-                setTimeout(function() {
-                  t.select(i);
-                }, 10);
-              }
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              Alertify.success(res.info);
               t.unload(i);
-            },
+              t.setInode(i);
+              t.deselect(i);
+              setTimeout(function() {
+                t.select(i);
+              }, 10);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
         },
         /* Truncate table */
@@ -182,25 +182,25 @@ function(
                   type:'PUT',
                   data: params,
                   dataType: 'json',
-                  success: function(res) {
-                    if (res.success == 1) {
-                      Alertify.success(res.info);
-                      t.removeIcon(i);
-                      data.icon = 'icon-partition';
-                      t.addIcon(i, {icon: data.icon});
-                      t.unload(i);
-                      t.setInode(i);
-                      t.deselect(i);
-                    // Fetch updated data from server
-                      setTimeout(function() {
-                        t.select(i);
-                      }, 10);
-                    }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    Alertify.success(res.info);
+                    t.removeIcon(i);
+                    data.icon = 'icon-partition';
+                    t.addIcon(i, {icon: data.icon});
                     t.unload(i);
-                  },
+                    t.setInode(i);
+                    t.deselect(i);
+                  // Fetch updated data from server
+                    setTimeout(function() {
+                      t.select(i);
+                    }, 10);
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
+                  t.unload(i);
                 });
               }},
             function() {}
@@ -225,25 +225,25 @@ function(
                 $.ajax({
                   url: obj.generate_url(i, 'reset' , d, true),
                   type:'DELETE',
-                  success: function(res) {
-                    if (res.success == 1) {
-                      Alertify.success(res.info);
-                      t.removeIcon(i);
-                      data.icon = 'icon-partition';
-                      t.addIcon(i, {icon: data.icon});
-                      t.unload(i);
-                      t.setInode(i);
-                      t.deselect(i);
-                      // Fetch updated data from server
-                      setTimeout(function() {
-                        t.select(i);
-                      }, 10);
-                    }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    Alertify.success(res.info);
+                    t.removeIcon(i);
+                    data.icon = 'icon-partition';
+                    t.addIcon(i, {icon: data.icon});
                     t.unload(i);
-                  },
+                    t.setInode(i);
+                    t.deselect(i);
+                    // Fetch updated data from server
+                    setTimeout(function() {
+                      t.select(i);
+                    }, 10);
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
+                  t.unload(i);
                 });
               }
             },
@@ -268,26 +268,26 @@ function(
                 $.ajax({
                   url: obj.generate_url(i, 'detach' , d, true),
                   type:'PUT',
-                  success: function(res) {
-                    if (res.success == 1) {
-                      Alertify.success(res.info);
-                      var n = t.next(i);
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    Alertify.success(res.info);
+                    var n = t.next(i);
+                    if (!n || !n.length) {
+                      n = t.prev(i);
                       if (!n || !n.length) {
-                        n = t.prev(i);
-                        if (!n || !n.length) {
-                          n = t.parent(i);
-                          t.setInode(n, true);
-                        }
-                      }
-                      t.remove(i);
-                      if (n.length) {
-                        t.select(n);
+                        n = t.parent(i);
+                        t.setInode(n, true);
                       }
                     }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
-                  },
+                    t.remove(i);
+                    if (n.length) {
+                      t.select(n);
+                    }
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
                 });
               }
             },
@@ -874,19 +874,19 @@ function(
 
                   type: 'GET',
                   async: false,
-                  success: function(res) {
-                    if (res.success == 1) {
-                      self.model.table_options = res.data;
-                    }
-                    else {
-                      Alertify.alert(
-                        gettext('Error fetching tables to be attached'), res.data.result
-                      );
-                    }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error, gettext('Error fetching tables to be attached'));
-                  },
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    self.model.table_options = res.data;
+                  }
+                  else {
+                    Alertify.alert(
+                      gettext('Error fetching tables to be attached'), res.data.result
+                    );
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error, gettext('Error fetching tables to be attached'));
                 });
               }
             },
@@ -1148,12 +1148,12 @@ function(
             async: false,
             url: full_url,
             data: arg,
-            success: function(res) {
-              data = cache_node.cache(url, node_info, cache_level, res.data);
-            },
-            error: function() {
-              m.trigger('pgadmin:view:fetch:error', m, self.field);
-            },
+          })
+          .done(function(res) {
+            data = cache_node.cache(url, node_info, cache_level, res.data);
+          })
+          .fail(function() {
+            m.trigger('pgadmin:view:fetch:error', m, self.field);
           });
           m.trigger('pgadmin:view:fetched', m, self.field);
           data = (data && data.data) || [];
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 1f9bcf97..530cd118 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -164,25 +164,25 @@ define('pgadmin.node.table', [
                   type:'PUT',
                   data: params,
                   dataType: 'json',
-                  success: function(res) {
-                    if (res.success == 1) {
-                      Alertify.success(res.info);
-                      t.removeIcon(i);
-                      data.icon = data.is_partitioned ? 'icon-partition': 'icon-table';
-                      t.addIcon(i, {icon: data.icon});
-                      t.unload(i);
-                      t.setInode(i);
-                      t.deselect(i);
-                      // Fetch updated data from server
-                      setTimeout(function() {
-                        t.select(i);
-                      }, 10);
-                    }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    Alertify.success(res.info);
+                    t.removeIcon(i);
+                    data.icon = data.is_partitioned ? 'icon-partition': 'icon-table';
+                    t.addIcon(i, {icon: data.icon});
                     t.unload(i);
-                  },
+                    t.setInode(i);
+                    t.deselect(i);
+                    // Fetch updated data from server
+                    setTimeout(function() {
+                      t.select(i);
+                    }, 10);
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
+                  t.unload(i);
                 });
               }
             }, function() {}
@@ -207,25 +207,25 @@ define('pgadmin.node.table', [
                 $.ajax({
                   url: obj.generate_url(i, 'reset' , d, true),
                   type:'DELETE',
-                  success: function(res) {
-                    if (res.success == 1) {
-                      Alertify.success(res.info);
-                      t.removeIcon(i);
-                      data.icon = data.is_partitioned ? 'icon-partition': 'icon-table';
-                      t.addIcon(i, {icon: data.icon});
-                      t.unload(i);
-                      t.setInode(i);
-                      t.deselect(i);
-                      // Fetch updated data from server
-                      setTimeout(function() {
-                        t.select(i);
-                      }, 10);
-                    }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    Alertify.success(res.info);
+                    t.removeIcon(i);
+                    data.icon = data.is_partitioned ? 'icon-partition': 'icon-table';
+                    t.addIcon(i, {icon: data.icon});
                     t.unload(i);
-                  },
+                    t.setInode(i);
+                    t.deselect(i);
+                    // Fetch updated data from server
+                    setTimeout(function() {
+                      t.select(i);
+                    }, 10);
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
+                  t.unload(i);
                 });
               }
             },
@@ -245,20 +245,20 @@ define('pgadmin.node.table', [
           $.ajax({
             url: obj.generate_url(i, 'count_rows' , d, true),
             type:'GET',
-            success: function(res) {
-              Alertify.success(res.info);
-              d.rows_cnt = res.data.total_rows;
-              t.unload(i);
-              t.setInode(i);
-              t.deselect(i);
-              setTimeout(function() {
-                t.select(i);
-              }, 10);
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
-              t.unload(i);
-            },
+          })
+          .done(function(res) {
+            Alertify.success(res.info);
+            d.rows_cnt = res.data.total_rows;
+            t.unload(i);
+            t.setInode(i);
+            t.deselect(i);
+            setTimeout(function() {
+              t.select(i);
+            }, 10);
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
         },
       },
@@ -983,19 +983,19 @@ define('pgadmin.node.table', [
 
                   type: 'GET',
                   async: false,
-                  success: function(res) {
-                    if (res.success == 1) {
-                      self.model.table_options = res.data;
-                    }
-                    else {
-                      Alertify.alert(
-                        gettext('Error fetching tables to be attached'), res.data.result
-                      );
-                    }
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
-                  },
+                })
+                .done(function(res) {
+                  if (res.success == 1) {
+                    self.model.table_options = res.data;
+                  }
+                  else {
+                    Alertify.alert(
+                      gettext('Error fetching tables to be attached'), res.data.result
+                    );
+                  }
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
                 });
               }
             },
@@ -1261,12 +1261,12 @@ define('pgadmin.node.table', [
             async: false,
             url: full_url,
             data: arg,
-            success: function(res) {
-              data = cache_node.cache(url, node_info, cache_level, res.data);
-            },
-            error: function() {
-              m.trigger('pgadmin:view:fetch:error', m, self.field);
-            },
+          })
+          .done(function(res) {
+            data = cache_node.cache(url, node_info, cache_level, res.data);
+          })
+          .fail(function() {
+            m.trigger('pgadmin:view:fetch:error', m, self.field);
           });
           m.trigger('pgadmin:view:fetched', m, self.field);
           data = (data && data.data) || [];
